body {
  background: black;
  color: #fff;
  height: 100%;
  margin: 0;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  line-height: 1.5;
}
body#bg-img {
  background: black;
  background-attachment: fixed;
  background-size: cover;
}
body#bg-img:after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  background: rgba(68, 68, 68, 0);
}

h3,
h4,
h5 {
  margin: 0;
  font-weight: 100;
}
h3.lg-titulo,
h4.lg-titulo,
h5.lg-titulo {
  font-size: 4rem;
  color: #fff;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

h3.titulo-largo,
h4.titulo-largo,
h5.titulo-largo {
  color: #7a7676;
  margin-bottom: 2%;
  padding: 0.2rem 3rem;
  background: rgba(34, 31, 31, 0.4);
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-size: 13pt;
}
#alborico{
height: auto;
width: 250px;
}
#ico:hover {
  cursor: pointer;
  height: 49px; 
  width: 49px;
}

.hover-ico-area{
  margin-left: 30px;
  z-index: 0;
}

a {
  color: #fff;
  text-decoration: none;
}

header {
  position: fixed;
  z-index: 2;
  width: 100%; 
  opacity: 1; 
  background-color: transparent; 
  transition: opacity 2s ease, background-color 5s ease; 
}
#bg-img{
  opacity: 0;
  transition: opacity 1s ease; /* Transition for opacity change */
}

#bg-img.fade-in {
  opacity: 1;
}

.fade-out {
  opacity: 0;
  transition: opacity 1s ease; /* Transition for opacity change */
}
.titulo-apellido {
  color: #6ced1c;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

main {
  padding: 4rem;
  min-height: calc(100vh);
  position: relative;
  opacity: 1; 
  background-color: transparent;
  transition: opacity 2s ease, background-color 5s ease; 
}
main #icons {
  margin-top: 1rem;
  margin-bottom: 1rem;
}
main #icons a {
  color: white;
  padding: 0.4rem;
  transition: all 0.5s ease-out;
}
main #icons a:hover {
  color: #6ced1c;
}

main#home {
  overflow: hidden;
}
main#home h1 {
  margin-top: 20vh;
}

.about-info {
  display: grid;
  grid-gap: 20px;
  grid-template-areas: "bioimage bio bio" "job1 job2 job3";
  grid-template-columns: repeat(3, 1fr);
}
.about-info .bio-image {
  width: 200px;
  height: 200px;

  grid-area: bioimage;
  margin: auto;
  border-radius: 50%;
  border: #6ced1c 3px solid;
}
.about-info .bio {
  grid-area: bio;
  font-size: 1.5rem;
}
.about-info .job-1 {
  grid-area: job1;
}
.about-info .job-2 {
  grid-area: job2;
}
.about-info .job-3 {
  grid-area: job3;
}
.about-info .job {
  background: #515151;
  padding: 0.5rem;
  border-bottom: #6ced1c 5px solid;
}

.projects {
  display: grid;
  grid-gap: 0.7rem;
  grid-template-columns: repeat(3, 1fr);
}
.projects img {
  width: 100%;
  border: 3px #fff solid;
}
.projects img:hover {
  opacity: 0.5;
  border-color: #6ced1c;
  transition: all 0.5s ease-out;
}

.boxes {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: center;
  margin-top: 1rem;
}
.boxes div {
  font-size: 2rem;
  border: 3px #fff solid;
  padding: 1.5rem 2.5rem;
  margin-bottom: 3rem;
  transition: all 0.5s ease-out;
}
.boxes div:hover {
  padding: 0.5rem 1.5rem;
  background: #6ced1c;
  color: #000;
}
.boxes div:hover span {
  color: #000;
}

.btn,
.btn-dark,
.btn-light {
  display: block;
  padding: 0.5rem 1rem;
  border: 0;
  margin-bottom: 0.3rem;
}
.btn:hover,
.btn-dark:hover,
.btn-light:hover {
  background: #6ced1c;
  color: #000;
}

.btn-dark {
  background: black;
  color: #fff;
}

.btn-light {
  background: #c4c4c4;
  color: #333;
}

#main-footer {
  text-align: center;
  padding: 1rem;
  background: #2b2b2b;
  color: #fff;
  height: 60px;
}
@media screen and (min-width: 1171px) {
  .projects {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media screen and (min-width: 769px) and (max-width: 1170px) {
  .projects {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media screen and (max-width: 768px) {

  #ico{  
    margin-left: 15px;
    margin-top: 1px;
  }
  #alborico {
    margin-left: 45px;
    margin-top: 30px;
  }
  main {
    align-items: center;
    text-align: center;
  }
  main .lg-titulo {
    line-height: 1;
    margin-bottom: 1rem;
    font-size: 4rem;
  }
  ul.menu-nav{
    float: right;
    width: 50%;
    min-height: 0;
  }
  ul.menu-nav.show,
  div.menu-branding.show {
    transform: translate3d(0, 0, 0);
  }
  .menu-nav {
    height: 75vh;
    transform: translate3d(-100%, 0, 0);
    font-size: 24px;
  }
  .menu-branding {
    height: 25vh;
    transform: translate3d(100%, 0, 0);
  }
  .menu-branding .portrait {
    display: none; /* Hide .menu-branding on smaller screens */
    width: 150px;
    height: 150px;
  }
  .about-info {
    grid-template-areas: "bioimage" "bio" "job1" "job2" "job3";
    grid-template-columns: 1fr;
  }
  .projects {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: 500px) {
  main {
    padding: 2rem;
  }
  main #home h1 {
    margin-top: 10vh;
  }
  main .lg-titulo {
    margin-top: 1rem;
    font-size: 4rem;
  }
  .projects {
    grid-template-columns: 1fr;
  }
}

.sz-links {
  text-decoration: none;
}
/*menu */

.menu-btn {
  position: absolute;
  z-index: 3;
  right: 35px;
  top: 35px;
  cursor: pointer;
  transition: all 0.5s ease-out;
}
.menu-btn .btn-line {
  width: 28px;
  height: 3px;
  margin: 0 0 5px 0;
  background: #fff;
  transition: all 0.5s ease-out;
}
.menu-btn.close {
  transform: rotate(180deg);
}
.menu-btn.close .btn-line:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}
.menu-btn.close .btn-line:nth-child(2) {
  opacity: 0;
}
.menu-btn.close .btn-line:nth-child(3) {
  transform: rotate(-45deg) translate(7px, -6px);
}

.menu {
  position: fixed;
  top: 0;
  width: 100%;
  opacity: 0.9;
  visibility: hidden;
}
.menu.show {
  visibility: visible;
}
.menu-branding,
.menu-nav {
  display: flex;
  flex-flow: column wrap;
  align-items: center;
  justify-content: center;
  float: left;
  width: 50%;
  height: 100vh;
  overflow: hidden;
}
.menu-nav {
  margin: 0;
  padding: 0;
  background-color: black;
  list-style: none;
  transform: translate3d(0, -100%, 0);
  transition: all 0.5s ease-out;
}
.menu-nav.show {
  transform: translate3d(0, 0, 0);
}
.menu-branding {
  @media (max-width: 768px) {
    .menu-branding {
      display: none;
    }
  }
  
  background-color: black;
  transform: translate3d(0, 100%, 0);
  transition: all 0.5s ease-out;
}
.menu-branding.show {
  transform: translate3d(0, 0, 0);
}

.menu-branding .portrait {
  width: 220px;
  height: 220px;
  background: url("../img/portrait12.PNG");
  background-position-x: center;
  border-radius: 50%;
  border: solid 3px #6ced1c;
}
.menu .nav-item {
  transform: translate3d(600px, 0, 0);
  transition: all 0.5s ease-out;
}
.menu .nav-item.show {
  transform: translate3d(0, 0, 0);
}
.menu .nav-item.current > a {
  color: #6ced1c;
}
.menu .nav-link {
  display: inline-block;
  position: relative;
  font-size: 20px;
  text-transform: uppercase;
  padding: 1rem 0;
  font-weight: 100;
  color: #fff;
  text-decoration: none;
  transition: all 0.5s ease-out;
}
.menu .nav-link:hover {
  color: #6ced1c;
}

.nav-item:nth-child(1) {
  transition-delay: 0.1s;
}

.nav-item:nth-child(2) {
  transition-delay: 0.2s;
}

.nav-item:nth-child(3) {
  transition-delay: 0.3s;
}

.nav-item:nth-child(4) {
  transition-delay: 0.4s;
}

.nav-item:nth-child(5) {
  transition-delay: 0.5s;
}

